{{ product.name }}

Mystery Castle: The Mirror's Secret

DRM

$9.99

$9.99

-{{product.discount}}%

WANTED
WANT IT

Community content

Mystery Castle: The Mirror's Secret

$9.99

$9.99

-{{product.discount}}%

$9.19

Groth, the Soul Reaver, has kidnapped your daughter Jessica! Explore the dangerous world of the ancient castle and help release the captive souls whom you meet along the way. Can you solve the ingenious traps of the mysterious castle? Defeat Grot's magic and save Jessica!

Read full description

Associated Products

See All
See Less

Deals

Game description

Groth, the Soul Reaver, has kidnapped your daughter Jessica! Explore the dangerous world of the ancient castle and help release the captive souls whom you meet along the way. Can you solve the ingenious traps of the mysterious castle? Defeat Grot's magic and save Jessica!

Key Features


• Exciting, vibrant and dangerous world of the ancient castle, where Grot the Soulreaver sets the rules • Unique, charming and scary characters will immerse you in game world • Unveil the secrets on the castle in order to save Jessica • Brand new, yet familiar puzzles to solve • Beautiful and vibrant graphics

Game info
  • 0

  • 0

  • Rating
Publisher:
1C Online Games Ltd
Developer:
1C Online Games Ltd
Genres:
Source:
1C Online Games Ltd
Released:
Friday, December 18, 2015
Modes:
Languages:
English, French, German, Italian, Portuguese, Russian, Spanish
Headset:
{{vrNames}}
Customer notes
Minimum Requirements

OS: Windows 2000, Windows XP/Windows Vista/Windows 7/Windows 8 Processor: 1 GHz Memory: 1024 MB RAM DirectX: Version 9.0 Storage: 500 MB available space

Recommended Requirements
Legal

More like this

User score

0
Overall score based on 0 reviews Leave a review

Reviews for Mystery Castle: The Mirror's Secret

Load More
Load More
Thanks for review.

All reviews are moderated and may not appear on the site staight away

Thank you for your patience whilst we complete this process.

Write a review
All fields are mandatory
This field is required
This field is required